postgrey_1.36-4_all.deb


Advertisement

Description

postgrey - greylisting implementation for Postfix

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name postgrey
Package version 1.36
Package release 4
Package architecture all
Package type deb
Installed size 150 B
Download size 46.25 KB
Official Mirror archive.ubuntu.com
This package provides a policy server for Postfix to implement "greylisting".
Greylisting is a spam filtering method that rejects email from external
servers on the first try. Spammers don't usually retry sending their
messages, whereas legitimate mail servers do.
While Postgrey is designed for use with Postfix, it can also be used
with Exim.

Alternatives

Package Version Architecture Repository
postgrey_1.36-4_all.deb 1.36 all Ubuntu Universe
postgrey - - -

Requires

Name Value
adduser -
debconf -
debconf >= 0.5
debconf-2.0 -
libberkeleydb-perl -
libnet-dns-perl -
libnet-server-perl >= 0.87
libnetaddr-ip-perl -
perl -
ucf >= 0.28

Download

Type URL
Binary Package postgrey_1.36-4_all.deb
Source Package postgrey

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgrey deb package:
    # sudo apt-get install postgrey

Files

Path
/etc/init.d/postgrey
/etc/logcheck/ignore.d.server/postgrey
/etc/logcheck/violations.ignore.d/postgrey
/usr/bin/postgreyreport
/usr/sbin/policy-test
/usr/sbin/postgrey
/usr/share/doc/postgrey/NEWS.Debian.gz
/usr/share/doc/postgrey/README
/usr/share/doc/postgrey/README.Debian
/usr/share/doc/postgrey/README.exim
/usr/share/doc/postgrey/TODO.Debian
/usr/share/doc/postgrey/changelog.Debian.gz
/usr/share/doc/postgrey/copyright
/usr/share/man/man1/postgreyreport.1.gz
/usr/share/man/man8/policy-test.8.gz
/usr/share/man/man8/postgrey.8.gz
/usr/share/postgrey/postgrey-default
/usr/share/postgrey/whitelist_clients
/usr/share/postgrey/whitelist_recipients

Changelog

2017-07-06 - Antonio Radici <antonio@debian.org>
postgrey (1.36-4) unstable; urgency=medium
* debian/patches:
+ 867201-ipv6-parse-error.patch: new parsing style for ipv6 which should
also address a crash (Closes: 867201).
2016-08-28 - Antonio Radici <antonio@debian.org>
postgrey (1.36-3) unstable; urgency=medium
* debian/patches:
+ 0001-imported_upstream_diff.patch, set DEFAULT_DB_DIR and CONFIG_DIR to
the proper values (/var/lib/postgrey and /etc/postgrey)
(Closes: 835535, 835532)
2016-08-22 - Antonio Radici <antonio@debian.org>
postgrey (1.36-2) unstable; urgency=medium
* debian/control:
+ Added a dependency to libnetaddr-ip-perl (Closes: 834490)
2016-08-15 - Antonio Radici <antonio@debian.org>
postgrey (1.36-1) unstable; urgency=medium
* New upstream release
* debian/patches:
+ all patches refreshed
+ 0003-fix_spelling_errors.patch to fix a small spelling error
* debian/control:
+ VCS info changed to use canonical URLs
+ Standards-Version updated to 3.9.8, no changes required
* debian/postrm: removed the absolute path for ucf
2014-10-24 - Antonio Radici <antonio@debian.org>
postgrey (1.35-1) unstable; urgency=low
* New upstream release (Closes: 756486)
* debian/control:
+ switched email to antonio@debian.org
+ Standards-Version updated to 3.9.6, no changes required
* debian/source/format:
+ Switched to dpkg-source 3.0 (quilt) format
* debian/patches:
+ Patches refreshed
* debian/cfengine3.init: remove pidfile properly
(Closes: 754843, 745264, 746553)
2014-06-26 - Axel Beckert <abe@debian.org>
postgrey (1.34-1.3) unstable; urgency=high
* Non-maintainer upload in accordance with maintainer.
* Fix "stop" action of init script. (Closes: #670681, #630353)
+ Add preinst script which kills postgrey daemons neither stoppable by
the old nor by the new init.d script.
2013-11-27 - Julien Cristau <jcristau@debian.org>
postgrey (1.34-1.2) unstable; urgency=high
* Non-maintainer upload.
* Make postgrey work with Perl 5.18 (closes: #722136).
2012-02-03 - Christian Perrier <bubulle@debian.org>
postgrey (1.34-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix pending l10n issues. Debconf translations:
- Danish (Joe Hansen).  Closes: #631301
- Dutch; (Jeroen Schot).  Closes: #637502
- Polish (Michał Kułach).  Closes: #657505
2011-05-06 - Antonio Radici <antonio@dyne.org>
postgrey (1.34-1) unstable; urgency=low
* New upstream release
* debian/control:
+ drop libdigest-sha1-perl dependency (Closes: 625697)
+ Standards-Version bumped to 3.9.2, no change required
* debian/patches/imported-upstream-diff refreshed
2011-03-21 - Antonio Radici <antonio@dyne.org>
postgrey (1.33-3) unstable; urgency=low
* debian/po/pt_BR.po: Brazilian Portuguese translation (Closes: 618946)

See Also

Package Description
postmark_1.53-2_i386.deb File system benchmark from NetApp
postnews_0.6.1-1_all.deb Post Usenet articles via NNTP from the command line
postr_0.13.1-1_all.deb upload photos to Flickr
postsrsd_1.4-1_i386.deb Sender Rewriting Scheme (SRS) lookup table for Postfix
potool_0.16-2_i386.deb program to aid manipulation of gettext po files
potrace_1.14-2_i386.deb utility to transform bitmaps into vector graphics
pound_2.7-1.3_i386.deb reverse proxy, load balancer and HTTPS front-end for Web servers
povray-examples_3.7.0.0-9build2_all.deb Persistence of vision raytracer (3D renderer) sample files
povray-includes_3.7.0.0-9build2_all.deb Persistence of vision raytracer (3D renderer) include files
povray_3.7.0.0-9build2_i386.deb Persistence of vision raytracer (3D renderer)
power-calibrate_0.01.24-1_i386.deb processor power calibration tool
powerdebug_0.7.0-2013.08-1build1_i386.deb tool to display regulator, sensor and clock information
powerdevil-data_5.10.5-0ubuntu1_all.deb Global power saver settings data files
powerdevil-dev_5.10.5-0ubuntu1_i386.deb Global power saver settings
powerdevil_5.10.5-0ubuntu1_i386.deb Global power saver settings
Advertisement
Advertisement